:root {
    --dark: #1E1E2D;
    --primary: #3699FF;
    --gray: #A2A3B7;
    --secondary: #434D6B;
    --light: #EBECF5;
}


body {
    font-family: Poppins, Helvetica, "sans-serif";
    background-color: var(--light); 
    color: #464e5f;
    scrollbar-width: none;
    -ms-overflow-style: none;
    overflow-y: scroll;
    overflow-x: hidden;
    transition: all .2s ease;
}


body.bg-active {
    min-height: 100vh;
    background: rgb(47, 138, 205);
    background: -moz-linear-gradient(180deg, rgba(47, 138, 205, 1) 0%, rgba(25, 68, 137, 1) 100%);
    background: -webkit-linear-gradient(180deg, rgba(47, 138, 205, 1) 0%, rgba(25, 68, 137, 1) 100%);
    background: linear-gradient(180deg, rgba(47, 138, 205, 1) 0%, rgba(25, 68, 137, 1) 100%);
}

* {
    font-family: Poppins, Helvetica, "sans-serif";
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
}

::-webkit-scrollbar {
    display: none;
}

::-moz-selection {
    color: var(--light);
    background: var(--secondary);
}

::selection {
    color: var(--light);
    background: var(--secondary);
}


button,

label,
.info-box h2 {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}


hr {
    border: 1px solid #d6d6d6;
}


/*-------------------------------------------*\
    1. General

\*-------------------------------------------*/

.responsive-container {
    width: 95%;
    max-width: 1000px;
    margin: 0 auto;
}

.text-limit {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: block;
}

.default-hide {
    display: none;
}

.no-select {
    -webkit-user-select: none;
    -moz-user-select: -moz-none;
    -ms-user-select: none;
    user-select: none;
}

.container-sm {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
}

.of-none {
    overflow: hidden;
}

.hover-bold:hover {
    font-weight: 500;
    text-decoration-line: underline;
}

.page {
    display: grid;
    grid-template-columns: 100%;
    width: 100%;
    position: absolute;
    transition: all .2s ease;
}

.page.page-with-sidebar {
    display: grid;
    grid-template-columns: auto 300px;
    width: 100%;
    position: absolute;
}

.page.page-with-sidebar .filters {
    display: block;
}


/*-------------------------------------------*\
    6. Loader

\*-------------------------------------------*/

#loader {
    display: none;
    position: absolute;
    width: 100%;
    height: 4px;
}

#loader-bar {
    height: 100%;
    background-color: var(--primary);
    box-shadow: 5px -1px 8px 1px #3699ff;
    transition: all .3s ease-in;
}


/*-------------------------------------------*\
    2. Cards

\*-------------------------------------------*/

.card {
    background-color: #fff;
    box-shadow: 0 0 30px 0 rgba(82, 63, 105, .05);
    border-radius: .42rem;
}

.card.card-warning {
    background-color: #ff9800;
    color: #5a3600;
    cursor: pointer;
}

.card-header {
    min-height: 50px;
    padding: 0 20px;
    border-bottom: 1px solid #ecf0f3;
}

.card-title {
    color: var(--secondary);
    font-size: 18px;
    line-height: 50px;
    font-weight: 500;
}

.card-body {
    padding: 20px;
}

.card-footer {
    padding: 14px 20px;
    border-top: 1px solid #ecf0f3;
    overflow: hidden;
}

.card-collapsable .card-header {
    cursor: pointer;
}

.card-collapsable .card-body,
.card-collapsable .card-footer {
    display: none;
}


/*-------------------------------------------*\
    3. Buttons

\*-------------------------------------------*/

.btn {
    border: 0;
    color: white;
    padding: 8px 14px;
    border-radius: 4px;
    font-size: 16px;
    cursor: pointer;
    transition: all .2s;
    line-height: 25px;
}


a.btn {
    text-decoration: none;
    border: 1px solid transparent;
}

.btn i {
    margin-right: 10px;
}

.btn.btn-block {
    width: 100%;
}

.btn:disabled {
    opacity: 0.8;
    pointer-events: none;
}

.btn-primary {
    background-color: #3699FF;
}

.btn-primary:focus {
    box-shadow: 0 0 0 2.5px rgba(54, 153, 255, 0.4);
}

.btn-primary:hover {
    background-color: #2e8bea;
}

.btn-info {
    background-color: #0bb7af;
}

.btn-info:focus {
    box-shadow: 0 0 0 2.5px rgba(11, 183, 175, 0.4);
}

.btn-info:hover {
    background-color: #09a59e;
}

.btn-warning {
    background-color: #ee9d01;
}

.btn-warning:focus {
    box-shadow: 0 0 0 2.5px rgba(238, 157, 1, 0.4);
}

.btn-warning:hover {
    background-color: #d48c01;
}

.btn-danger {
    background-color: #f64e60;
}

.btn-danger:focus {
    box-shadow: 0 0 0 2.5px rgba(246, 78, 96, 0.4);
}

.btn-danger:hover {
    background-color: #de3c4d;
}

.btn-secondary {
    background-color: #A2A3B7;
}

.btn-secondary:focus {
    box-shadow: 0 0 0 2.5px rgba(162, 163, 183, 0.4);
}

.btn-secondary:hover {
    background-color: #898aa2;
}

.span-btn {
    float: right;
    background-color: var(--primary);
    color: white;
    padding: 4px 8px;
    font-size: 16px;
    border-radius: .33rem;
}

.span-btn {
    cursor: pointer;
}

.select-btn button {
    width: 100%;
    background-color: #ffffff;
    border: 1px solid #3699ff;
    color: #3699ff;
    line-height: 35px;
    font-size: 15px;
    border-radius: 5px;
    font-weight: 500;
    transition: all 0.3s;
}

.select-btn button:hover {
    background-color: #eff7ff;
    cursor: pointer;
}

.select-btn button.active,
.select-btn button.active:hover {
    background-color: #3699ff;
    border: 1px solid #3699ff;
    color: #ffffff;
    cursor: default;
}

.pop-btn-sm {
    float: right;
    background-color: #f44336;
    color: white;
    border-radius: 4px;
    padding: 2px 6px;
    font-size: 13px;
    margin-bottom: 6px;
    cursor: pointer;
}

.add-table {
    width: 100%;
    height: 48px;
    background-color: #fff;
    box-shadow: 0 0 30px 0 rgb(82 63 105 / 5%);
    border-radius: .42rem;
    border: 0;
    font-size: 18px;
    color: var(--primary);
    transition: all .2s ease;
}

.add-table:hover {
    cursor: pointer;
    box-shadow: 0 0 30px 0 rgb(82 63 105 / 15%);
    color: var(--dark);
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 188px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 2;
    border-radius: 5px;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: #36405f;
    color: #c5e2ff;
}

.dropdown:hover .dropdown-content {
    display: block;
}

@media screen and (max-width: 600px) {
    .btn-responsive i {
        margin-right: 0;
    }

    .btn-responsive span {
        display: none;
    }
}


/*-------------------------------------------*\
    4. Forms

\*-------------------------------------------*/

.form-input {
    margin-top: 10px;
}


input,
.input,

select,

textarea,
.selectize-input {
    width: 100%;
    border: 1px solid #c2c4d6;
    border-radius: 5px;
    padding: 10px;
    font-size: 16px;
    background-color: #fafbff !important;
    transition: all .2s;
    box-sizing: border-box;
}


input:disabled,

select:disabled,

textarea:disabled,
.selectize-input.disabled {
    color: black !important;
    opacity: .7 !important;
    cursor: not-allowed !important;
}

.selectize-control.single {
    height: 40px;
}

.form-input input,
.form-input select {
    height: 40px;
    padding: 0 10px;
}


input:read-only,

textarea:read-only {
    background-color: #e8eaf1;
}


input:disabled,

select:disabled,

textarea:disabled {
    background-color: #e8eaf1;
    cursor: not-allowed;
}


input:focus,

select:focus,

textarea:focus,
.selectize-input:focus {
    border-color: #64b0ff;
    background-color: #eef6ff;
}

.file-upload {
    cursor: pointer;
    display: block;
    padding: 7px 10px !important;
}


input[type="file"] {
    display: none;
}


textarea {
    resize: vertical;
}


label {
    line-height: 24px;
}


sup {
    font-size: 11px;
    color: gray;
}


label span {
    background-color: #607d8b;
    color: white;
    font-size: 12px;
    padding: 0 4px;
    border-radius: 4px;
    float: right;
    line-height: 18px;
    margin-top: 2px;
}


label span:hover {
    background-color: #486471;
    cursor: pointer;
}

.form-input-collapsable label:hover {
    cursor: pointer;
}

.form-input-collapsable,
.form-input-collapsable select {
    display: none;
}

.selectize-dropdown-content [data-selectable] {
    line-height: 30px;
    padding-left: 10px;
    font-size: 15px;
    font-weight: 500;
}

.selectize-input {
    padding: 0 0 0 10px !important;
    height: 40px;
    line-height: 40px;
}

.selectize-input {
    transition: none !important;
}

.selectize-item .title {
    display: block;
    line-height: 16px;
    margin-top: 5px
}

.selectize-item .subtitle {
    font-size: 12px;
    color: #676767;
}


/*-------------------------------------------*\
    5. Table

\*-------------------------------------------*/

.table {
    border-spacing: 0;
    margin-top: 20px;
}

.table th {
    border-bottom: 1px solid #ecf0f3;
    line-height: 70px;
    text-align: left;
    font-weight: 500;
    font-size: 16px;
    color: #212121;
}

.table td:first-child,
.table th:first-child {
    padding-left: 16px;
}

.table tr {
    height: 48px;
}

.table tbody tr:nth-child(odd) {
    background-color: #f7f7f7;
}

.table tbody tr:hover {
    background-color: #efefef;
    color: black;
    cursor: pointer;
}

.table span,
.badge {
    padding: 3px 6px;
    border-radius: 5px;
}

.table span.danger,
.badge-danger {
    background-color: #f9d7d7;
    color: #f32626;
}


table span.primary,
.badge-primary {
    background-color: #d7e8f9;
    color: #268bf3;
}

.table span.success,
.badge-success {
    background-color: #cae4c6;
    color: #009442;
}

.table span.secondary,
.badge-secondary {
    background-color: #dadada;
    color: #525252;
}


table.device-details {
    border-collapse: collapse;
    width: 100%;
}


table.device-details th,

table.device-details td {
    border: 1px solid #dddddd;
    text-align: left;
    padding: 8px;
}


table.device-details tr:nth-child(even) {
    background-color: #dddddd;
}

.device-image {
    max-width: 100%;
    max-height: 100%;
    margin: 0 auto;
    display: block;
}

.not-found img {
    max-height: 50vh;
    max-width: 90%;
}

@media screen and (max-width: 992px) {
    .no-tablet {
        display: none;
    }
}

@media screen and (max-width: 600px) {
    .no-mobile {
        display: none;
    }
}


/*-------------------------------------------*\
    6. Direct Access

\*-------------------------------------------*/

.direct-access {
    opacity: .8;
    transition: all .2 ease;
}

.direct-access:hover {
    box-shadow: 0 0 30px 0 rgb(82 63 105 / 0.1);
    opacity: 1;
    cursor: pointer;
}

.direct-access i {
    display: block;
    font-size: 60px;
    margin-bottom: 10px;
    color: var(--primary);
}

.direct-access.direct-access-danger i {
    color: #F44336 !important;
}

.direct-access.disabled {
    cursor: default !important;
}

.direct-access.disabled i {
    color: var(--secondary);
}

.direct-access span {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: block;
    color: var(--secondary);
}


/*-------------------------------------------*\
    7. Subtitle

\*-------------------------------------------*/

.subtitle h2 {
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 6px;
}

.subtitle hr {
    border: 1px dashed #abacb3;
    margin: 4px 0px;
}

#travels-list .subtitle:not(:first-child) {
    margin-top: 28px;
}


/*-------------------------------------------*\
    8. Checkbox

\*-------------------------------------------*/

.form-checkbox {
    position: relative;
    padding-left: 35px;
    cursor: pointer;
}

.form-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 22px;
    width: 22px;
    background-color: #eee;
    border-radius: 4px;
    transition: all .2s ease;
}

.form-checkbox:hover input~.checkmark {
    background-color: #ccc;
}

.form-checkbox input:checked~.checkmark {
    background-color: #3699FF;
}

.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.form-checkbox input:checked~.checkmark:after {
    display: block;
}

.form-checkbox .checkmark:after {
    left: 7px;
    top: 4px;
    width: 4px;
    height: 8px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}


/*-------------------------------------------*\
    9. Pagination

\*-------------------------------------------*/

.pagination {
    display: inline-block;
}

.btn-pag {
    border: 0;
    line-height: 40px;
    background-color: white;
    width: 46px;
    font-size: 20px;
    font-weight: 500;
    color: var(--secondary);
}

.btn-pag.pag-prev:hover,
.btn-pag.pag-next:hover {
    cursor: pointer;
    color: var(--primary);
}

.btn-pag:disabled {
    color: var(--gray);
    cursor: default;
    pointer-events: none;
}

.btn-pag.pag-prev {
    border-radius: .42rem 0 0 .42rem;
}

.btn-pag.pag-next {
    border-radius: 0 .42rem .42rem 0;
}


/*-------------------------------------------*\
    10. Menú

\*-------------------------------------------*/

.menu {
    display: grid;
    grid-template-columns: max-content auto max-content;
    grid-template-rows: 60px;
    background-color: var(--secondary);
    padding: 0 12px;
}

.menu-logo {
    opacity: .8;
    transition: all .2s ease;
    margin: 10px 0;
}

.menu-logo:hover {
    cursor: pointer;
    opacity: 1;
}

.menu-logo-img {
    height: 100%;
    float: left;
}

.menu-logo-img img {
    height: 100%;
    width: 40px;
}

.menu-logo-title {
    display: inline-block;
    margin-left: 4px;
}

.menu-logo-title span {
    color: var(--light);
    line-height: 40px;
}

.menu-links ul {
    padding: 0;
    margin: 0;
    text-align: center;
    height: 60px;
}

.menu-links ul li {
    display: inline-block;
    height: 60px;
}

.menu-links ul li a {
    text-decoration: none;
    line-height: 60px;
    color: var(--light);
    display: block;
    padding: 0 12px;
    transition: all .2s ease;
}

.menu-links ul li a:hover {
    background-color: #353e58;
    color: white;
}

.menu-links .notification-li {
    position: relative;
}

.menu-links .notification-i {
    position: absolute;
    top: 15px;
    right: 8px;
    color: #ff3d3d;
    font-size: 10px;
    display: none;
    animation: notification-pulse 2s ease-in-out infinite;
    filter: drop-shadow(0 0 6px #ff3d3d);
}

@keyframes notification-pulse {
    0%, 100% {
        transform: scale(1);
        opacity: 1;
    }
    50% {
        transform: scale(1.3);
        opacity: 0.8;
    }
}

.menu-user {
    opacity: .8;
    transition: all .2s ease;
}

.menu-user:hover {
    cursor: pointer;
    opacity: 1;
}

.menu-user-name {
    display: inline-block;
}

.menu-user-name span {
    color: white;
    line-height: 60px;
    margin-right: 8px;
}

.menu-user-img {
    float: right;
}

.menu-user-img img {
    height: 40px;
    width: 40px;
    margin: 10px 0;
    border-radius: 50%;
}


/*-------------------------------------------*\
    10. Header

\*-------------------------------------------*/

.header {
    background-color: white;
    padding-left: 20px;
    box-shadow: 0 10px 30px 0 rgb(82 63 105 / 8%);
    height: 60px;
}

.header #page-title {
    font-size: 20px;
    font-weight: 500;
    line-height: 60px;
}

.header-btns {
    float: right;
}

.header-btn {
    float: right;
}

.header-btn a,
.header-btn button {
    margin: 10px 14px 9px 0;
}


/*-------------------------------------------*\
    18. Info box

\*-------------------------------------------*/

.info-box {
    border: 1px solid #c2c4d6;
    border-radius: 5px;
    padding: 10px;
    margin-top: 15px;
    overflow: hidden;
}

.info-box h2 {
    font-weight: 400;
    font-size: 18px;
    cursor: pointer;
}

.info-box h2 i {
    color: var(--primary);
}

.info-box ul {
    margin-left: 24px;
    margin-top: 8px;
    display: none;
}

.info-box button {
    display: none;
}

.info-box.active button,
.info-box.active ul {
    display: inline-block;
}

.info-box ul li {
    line-height: 26px;
}

.info-box ul li b {
    font-weight: 500;
}


/*-------------------------------------------*\
    11. Grid Cards

\*-------------------------------------------*/

.grid-cards {
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    grid-gap: 14px;
}

.grid-card {
    background-color: white;
    border-radius: .33rem;
    box-shadow: 0 10px 30px 0 rgb(82 63 105 / 8%);
}

.grid-card-header {
    border-bottom: 2px solid #a6a7b7;
    padding: 10px;
    border-radius: .33rem .33rem 0 0;
    background-color: #c2c3d0;
    color: #464867;
}

.grid-card-header span {
    display: block;
    text-align: center;
    line-height: 18px;
    font-weight: 500;
    font-size: 14px;
    margin: 0;
    cursor: pointer;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.grid-card-meta {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 34px;
    line-height: 34px;
    text-align: center;
    border-bottom: 1px solid #f1f1f1;
}

.grid-card-meta div:nth-child(2) {
    border-left: 1px solid #f1f1f1;
    border-right: 1px solid #f1f1f1;
}

.grid-card-meta-exp {
    transition: all .2s ease;
}

.grid-card-customer {
    height: 34px;
    line-height: 34px;
    text-align: center;
    font-weight: 500;
    border-bottom: 1px solid #f1f1f1;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.fa-arrow-alt-down,
.fa-arrow-alt-up {
    cursor: pointer;
}

.fa-arrow-alt-down {
    color: #f27474;
}

.fa-arrow-alt-up {
    color: #3699ff;
}

.grid-card-chrono {
    line-height: 36px;
    padding: 0 10px;
}

.excel-chrono {
    line-height: 26px;
}

.grid-card-chrono b,
.excel-chrono b {
    float: right;
    font-weight: 500;
}

.grid-card-chrono b.active,
.grid-card-chrono b.stoped,
.grid-card-chrono b.ended {
    color: white;
    line-height: 26px;
    padding: 0 4px;
    margin: 5px 0;
    border-radius: .33rem;
}

.excel-chrono b.active,
.excel-chrono b.stoped,
.excel-chrono b.ended {
    color: white;
    line-height: 26px;
    padding: 0 4px;
    border-radius: .33rem;
}

.grid-card-chrono b.active,
.excel-chrono b.active {
    background-color: #6fc172;
}

.grid-card-chrono b.stoped,
.excel-chrono b.stoped {
    background-color: #9e9e9e;
}

.grid-card-chrono b.ended,
.excel-chrono b.ended {
    background-color: #ff7368;
}

.grid-card-chrono button,
.excel-chrono button {
    float: right;
    margin: 5px 5px 0 0;
    height: 26px;
    border: 0;
    width: 26px;
    border-radius: .33rem;
    font-size: 15px;
    transition: all .2s ease;
}

.excel-chrono b {
    margin-right: 6px;
}

.excel-chrono button {
    margin: 0 5px 0 0 !important;
}

.grid-card-chrono button:hover,
.excel-chrono button:hover {
    transform: scale(0.95);
    cursor: pointer;
}

.excel-chrono button.set {
    background-color: #00bcd4;
    color: #005965;
}

.grid-card-chrono button.play,
.excel-chrono button.play {
    background-color: #8bc34a;
    color: #548022;
}

.grid-card-chrono button.pause,
.excel-chrono button.pause {
    background-color: #03a9f4;
    color: #005982;
    font-size: 14px;
}

.grid-card-chrono button.stop,
.excel-chrono button.stop {
    background-color: #ff9800;
    color: #ab6600;
}

.excel-chrono button.sateliun_btn {
    background-color: #b78eff;
    color: #53328e;
    float: right;
}

.grid-card-footer {
    overflow: auto;
    border-top: 1px solid #f1f1f1;
    padding: 10px;
}

.grid-card-footer-btn {
    display: inline-block;
    margin-right: 10px;
}

.grid-card-footer-btn,
.grid-card-footer-btn img {
    width: 28px;
    height: 28px;
    transition: transform .2s ease;
}

.grid-card-footer-btn img:hover {
    transform: scale(0.9);
    cursor: pointer;
}

.grid-card-footer-btn img:active {
    transform: scale(0.8);
}

.grid-card-footer-palets,
.grid-card-footer-kg {
    float: right;
    height: 28px;
    line-height: 28px;
    background-color: #6a6a6a;
    padding: 0 8px;
    border-radius: 0.33rem;
    font-weight: 500;
    transition: transform .2s ease;
    color: white;
    margin-right: 8px;
    font-size: 13px;
}

.grid-card-footer-palets i,
.grid-card-footer-kg i {
    margin-right: 3px;
}

.grid-card-footer-status {
    float: right;
    height: 28px;
    line-height: 28px;
    background-color: #D8D8D8;
    padding: 0 8px;
    border-radius: .33rem;
    font-weight: 500;
    transition: transform .2s ease;
    color: white;
}

.grid-card-footer-status:hover {
    transform: scale(1.03);
    cursor: pointer;
}

.grid-card-footer-status:active {
    transform: scale(0.97);
}

@media screen and (max-width: 1560px) {
    .grid-cards {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}

@media screen and (max-width: 1180px) {
    .grid-cards {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media screen and (max-width: 840px) {
    .grid-cards {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
}


/*-------------------------------------------*\
    11. Grid List

\*-------------------------------------------*/

.grid-rows {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    column-gap: 16px;
}

.grid-row {
    background-color: white;
    border-radius: .33rem;
    box-shadow: 0 10px 30px 0 rgb(82 63 105 / 8%);
    margin-bottom: 12px;
}

.grid-row-meta {
    display: grid;
    grid-template-columns: max-content max-content max-content auto;
    line-height: 30px;
}

.grid-row-meta div {
    padding: 0 10px;
}

.grid-row-meta div:nth-child(2) {
    border-left: 1px solid #f1f1f1;
    border-right: 1px solid #f1f1f1;
}

.grid-row-meta div:last-child {
    text-align: right;
}

.grid-row-content {
    padding: 10px;
    border-radius: 0 0 .33rem .33rem;
    background-color: #c2c3d0;
    color: #464867;
}

.grid-row-content-title {
    display: inline-block;
}

.grid-row-content-title span {
    display: block;
    text-align: center;
    line-height: 22px;
    font-weight: 500;
    font-size: 14px;
    margin: 0;
    cursor: pointer;
}

.grid-row-content-actions {
    float: right;
}

.grid-row-content-btn {
    display: none;
    height: 38px;
    width: 38px;
    background-color: white;
    border-radius: .33rem;
    padding: 6px;
    margin: 3px 0 3px 5px;
    box-sizing: border-box;
    text-align: center;
    transition: transform .2s ease;
}

.grid-row-content:hover>.grid-row-content-actions .grid-row-content-btn {
    display: block;
    float: right;
}

.grid-row-content-btn:hover {
    transform: scale(1.04);
    cursor: pointer;
}

.grid-row-content-btn:active {
    transform: scale(0.95);
}

.grid-row-content-btn img {
    height: 100%;
    width: 100%;
}

.grid-row-meta-exp {
    font-weight: 600;
    color: var(--secondary);
}

@media screen and (max-width: 1850px) {
    .grid-rows {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media screen and (max-width: 1360px) {
    .grid-rows {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
}


/*-------------------------------------------*\
    12. Excel List

\*-------------------------------------------*/

.grid-excel {
    font-size: 14px;
    font-family: arial, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

.grid-excel thead {
    background-color: var(--gray);
}

.grid-excel tbody {
    background-color: white;
}

.grid-excel tbody tr:hover {
    cursor: pointer;
    background-color: #e2e2e2;
}

.grid-excel td,
.grid-excel th {
    text-align: left;
    padding: 8px;
}

.grid-excel td {
    border-bottom: 2px solid #e2e2e2;
}

.observation {
    opacity: .8;
}

.observation-row td span {
    font-family: monospace !important;
}


/*-------------------------------------------*\
    12. Travels

\*-------------------------------------------*/

.travel,
.add-travel-btn,
.save-travel-btn {
    display: none;
}

.add-travel {
    height: 100%;
    min-height: 300px;
    border: 4px dashed var(--gray);
    border-radius: .33rem;
    text-align: center;
    margin: auto;
    position: relative;
    transition: all .2s ease;
}

.add-travel:hover {
    cursor: pointer;
    background-color: #d9dbec;
    border: 4px dashed #72738c;
}

.add-travel i {
    display: block;
    position: absolute;
    top: calc(50% - 25px);
    left: calc(50% - 25px);
    font-size: 50px;
    width: 50px;
}


/*-------------------------------------------*\
    12. Filtros

\*-------------------------------------------*/

.filters {
    background-color: white;
    box-shadow: 0px 5px 11px 0 rgb(0 0 0 / 22%);
    display: none;
}

.filters h3 {
    font-weight: 500;
    line-height: 36px;
    padding-left: 12px;
    background-color: #fbfbfb;
    border-top: 2px solid #f1f1f1;
}

.filters hr {
    border-color: #ececec;
}

.filters-inputs {
    padding: 5px 18px 20px;
}

.filters-btns {
    padding: 18px 18px 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 10px;
}


/*-------------------------------------------*\
    12. Mapa

\*-------------------------------------------*/

.map-header {
    height: 70px;
    border-bottom: 1px solid #ecf0f3;
}

.map-header-title {
    line-height: 50px;
    font-weight: 500;
    font-size: 16px;
    color: #212121;
    margin-left: 18px;
}

.map-header-subtitle {
    margin-left: 18px;
    line-height: 0px;
    font-size: 13px;
}

.map-body iframe {
    height: calc(100vh - 240px);
    min-height: 500px;
}

.map-empty {
    padding: 5%;
    text-align: center;
}

.map-empty img {
    max-width: 100%;
    max-height: 400px;
}


/*-------------------------------------------*\
    12. Chat

\*-------------------------------------------*/

.chat {
    background-color: white;
    border-radius: .33rem;
    display: grid;
    grid-template-columns: 240px auto;
    height: calc(100vh - 240px);
    min-height: 500px;
    margin-bottom: 10px;
}

.chat-sidebar {
    background-color: #616161;
    border-radius: .33rem 0 0 .33rem;
    color: white;
}

.chat-sidebar-title {
    line-height: 60px;
    padding-left: 20px;
    font-size: 20px;
    border-bottom: 2px solid #4a4a4a;
}

.chat-add-btn {
    float: right;
    margin: 11px 11px 11px 0;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    border: 0;
    color: #e8e8e8;
    background-color: grey;
    transition: all .2s ease;
}

.chat-add-btn:hover {
    color: white;
    cursor: pointer;
    box-shadow: 0 0 6px 0 #4c4c4c;
    background-color: #969696;
}

.chat-sidebar-chat {
    display: grid;
    grid-template-columns: 48px auto;
    padding: 9px 9px 9px 18px;
    transition: all .2s ease;
}

.chat-sidebar-chat:hover {
    background-color: #797979;
    box-shadow: inset 0 0 6px 0 rgb(0 0 0 / 10%);
    cursor: pointer;
}

.chat-sidebar-chat.active {
    background-color: #585858;
    color: white !important;
}

.chat-sidebar-chat.active>.chat-item-title {
    color: white !important;
}

.chat-item-icon {
    line-height: 44px;
    text-align: center;
    font-size: 25px;
    background-color: rgb(120 150 165);
    border-radius: 50%;
    border: 2px solid rgb(0 0 0 / 60%);
    color: rgb(0 0 0 / 60%);
}

.chat-item-title {
    line-height: 48px;
    margin-left: 10px;
    font-weight: 500;
    color: #dedede;
}

.chat-sidebar-chat:hover>.chat-item-title {
    color: white;
}

.chat-body {
    border-radius: .33rem;
    position: relative;
}

.chat-body-title {
    line-height: 60px;
    padding-left: 20px;
    font-size: 18px;
    border-bottom: 2px solid #909090;
    background-color: #b7b7b7;
    border-radius: 0 .33rem 0 0;
    font-weight: 500;
}

#active_chat_title {
    cursor: pointer;
}

.chat-body-messages {
    padding: 10px;
    overflow-y: scroll;
    height: calc(100% - 120px);
    position: absolute;
    width: 100%;
}

.chat-msg-box {
    overflow: hidden;
}

.chat-msg {
    background-color: #8bc34a;
    display: block;
    padding: 5px;
    border-radius: .33rem;
    max-width: 45%;
    overflow: hidden;
    margin-bottom: 10px;
}

.chat-msg.me {
    background-color: #7896a5;
    float: right;
    max-width: 45%;
    position: relative;
}

.chat-msg.me:hover>.chat-msg-delete {
    display: block;
}

.chat-msg-username {
    color: #365611;
    font-weight: 700;
    font-size: 13px;
    margin-bottom: 3px;
}

.chat-msg-text {
    font-size: 15px;
    color: white;
    display: inline-block;
    text-align: justify;
}

.chat-msg.me .chat-msg-text {
    text-align: right;
    margin-right: 8px;
}

.chat-msg-meta {
    font-size: 12px;
    margin-top: 3px;
    float: right;
    color: #436918;
    font-weight: 500;
}

.chat-msg.me .chat-msg-meta {
    color: #26414e;
}

.chat-inputs {
    display: grid;
    grid-template-columns: auto 40px;
    column-gap: 10px;
    padding: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
}

.chat-input-btn button {
    height: 40px;
    width: 40px;
    border-radius: .33rem;
    border: 0;
    background-color: var(--primary);
    color: white;
    font-size: 20px;
    cursor: pointer;
}

.chat-input-btn button:hover {
    background-color: #207ad6;
}

.chat-input-msg {
    position: relative;
}

.chat-input-msg #chat-file {
    position: absolute;
    bottom: 4px;
    right: 4px;
    height: 32px;
    width: 36px;
    font-size: 22px;
    border: 0;
    background-color: #dcdcdc;
    color: #565656;
    border-radius: .33rem;
    cursor: pointer;
    transition: all .2s ease;
}

.chat-input-msg #chat-file.uploaded,
.chat-input-msg #chat-file.uploading {
    width: 128px;
    font-size: 13px;
    font-weight: 500;
}

.chat-input-msg #chat-file.uploaded {
    background-color: #8bc34a;
    color: #203506;
}

.chat-input-msg #chat-file.uploading {
    background-color: #ff9800;
    color: #4e2f00;
    cursor: not-allowed;
    pointer-events: none;
}

.chat-input-msg #chat-file:hover {
    background-color: #cac8c8;
    color: #424242;
}

.chat-add-btn:active,
#chat-file:active,
.chat-input-btn button:active {
    transform: scale(0.95);
}

.date-separator {
    border-bottom: 2px solid #e4e4e4;
    line-height: 0;
    font-size: 13px;
    text-align: center;
    margin: 12px 0;
}

.date-separator span {
    background-color: white;
    padding: 0 6px;
}

.chat-msg-file {
    background-color: rgb(0 0 0 / 19%);
    border-radius: .33rem;
    border-left: 3px solid rgb(0 0 0 / 38%);
    padding: 5px;
    color: #ffd18d;
    display: grid;
    grid-template-columns: 38px auto;
    grid-template-rows: 38px;
    column-gap: 10px;
    margin-top: 4px;
    transition: all .2s ease;
}

.chat-msg-file-icon {
    text-align: center;
    line-height: 38px;
    font-weight: 600;
    background-color: #00000038;
    border-radius: .33rem;
}

.chat-msg-file-name {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: block;
}

.chat-msg-file:hover {
    cursor: pointer;
    background-color: rgb(0 0 0 / 36%);
}

.chat-msg-delete {
    top: 0;
    right: 0;
    position: absolute;
    color: white;
    padding: 4px 6px;
    font-size: 14px;
    opacity: 0.8;
    display: none;
}

.chat-msg-delete:hover {
    cursor: pointer;
    opacity: 1;
}


/** Imagen de presupeustos */

.budget-image {
    background-image: url(/assets/img/prueba.jpeg);
    height: 100px;
    width: 100%;
    background-color: rgb(224, 224, 224);
    background-position: center;
    background-size: cover;
    border-radius: .33rem;
    filter: brightness(0.8);
    box-shadow: inset 0 0 7px 0 #00000040;
    margin-top: 12px;
    cursor: pointer;
    transition: all .2s ease;
}

.budget-image span {
    background: #ff6464;
    color: white;
    position: absolute;
    bottom: 0;
    right: 0;
    border-radius: .33rem 0 .33rem 0;
    text-align: right;
    padding: 8px 6px;
    transition: all .2s ease;
    display: none;
    font-size: 14px;
}

.budget-image:hover {
    filter: brightness(0.75);
}

.budget-image:hover>span {
    display: block;
}

.budget-image span:hover {
    width: 100%;
    height: 100%;
    line-height: 100px;
    padding: 0;
    text-align: center;
    font-size: 20px;
    border-radius: .33rem;
}


/** Responsive */

@media screen and (max-width: 1800px) {
    .xl {
        display: none;
    }
}

@media screen and (max-width: 1560px) {
    .lg {
        display: none;
    }
}

@media screen and (max-width: 1200px) {
    .md {
        display: none;
    }
}

@media screen and (max-width: 950px) {

    .menu-logo-title,
    .menu-user-name {
        display: none;
    }
}

@media screen and (max-width: 900px) {
    .sm {
        display: none;
    }

    .sm-dots {
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        max-width: 0px;
    }
}

@media screen and (max-width: 720px) {
    .menu-links ul li a {
        font-size: 0;
        padding: 0 18px;
        height: 60px;
    }

    .menu-links ul li a i {
        font-size: 20px;
        line-height: 60px;
    }

    .header-btn .btn {
        width: 40px;
        height: 40px;
    }

    .header-btn .btn span,
    .grid-row-meta-customer,
    .xs {
        display: none;
    }

    .header-btn .btn i {
        margin: 0;
    }

    /** Chat */
    .chat {
        grid-template-columns: 1fr;
    }

    .chat.menu-inactive .chat-sidebar {
        display: none;
    }

    .chat.menu-inactive .chat-body,
    .chat.menu-inactive .chat-body-title {
        border-radius: .33rem;
    }

    .chat.menu-active .chat-sidebar {
        border-radius: .33rem;
    }

    .chat.menu-active .chat-body {
        display: none;
    }

    .chat #open-chat-menu {
        display: inline-block !important;
    }
}

@media screen and (max-width: 480px) {
    .menu-links ul li a {
        padding: 0 12px;
    }
}